Subject: Re: Dialed Digit Collection

From: Chip Sharp <[email-masked]>
Date: Tue, 19 Oct 1999 10:04:59 -0400

At 10:29 AM 9/23/99 -0400, Brian Rosen wrote:
>I think you can have an embedded event descriptor that
>would apply the dialtone and the digitmap.
>
>Event=3345a4{generic/offhook:Accumulate:Event=3345a5
>{dtmf/tone:DigitMap=NAstd:Signals{generic/dialtone}}

Here is what I came up with.
Events=2222{FX/lc{Action{NotifyAction:Signals{FX/dt},
      Events=2223{FX/DTMF{ACTION{DigitMap=Dialplan_0:Signals{}}}},
            Events=2224{FX/lo{ACTION{NotifyAction}}}}}}

FX/lc and FX/DTMF are the same as g/offhook and dtmf/tone.  I'd say we have
a different view of the syntax.  I also added another embedded event that
is supposed to look for on-hook after it receives an offhook.

Chip

>I think that is the right syntax, but others should check
>me.
>
>I have made up package and itemIDs.  When we agree on
>the default package definitions, this would change.
>
>Brian
>
> > -----Original Message-----
> > From: Eric Cooper [mailto:[email-masked]]
> > Sent: Thursday, September 23, 1999 9:43 AM
> > To: [email-masked]
> > Subject: Dialed Digit Collection
> >
> >
> > I was wondering if the protocol permits a Media Gateway Controller to
> > atomically request the Media Gateway handle all the usual
> > aspects of dialed
> > digit collection (dialtone 'till first digit detection,
> > silence thereafter),
> > and just notify the MGC when dialing is complete?
> >
> > The example in the draft shows several MGC-MG interactions to
> > accomplish
> > this task, but it does not include dialtone.  I am curious if
> > the job could
> > be done without involving the MGC until the digits were collected.
> >
> > If the protocol does allow this, what would the message look like?
> > Presumably it would involve modifying all terminations in the
> > null context
> > to look for an off-hook event, then accumulate digits
> > according to some
> > digitmap.   After this I get a bit fuzzy.  Is it possible to embed the
> > dialtone and clear signals appropriately, or do I have to use
> > a script?
> >
> > Any insight appreciated,
> >
> > Eric.
> >

Support NetAid!  http://www.netaid.org
--------------------------------------------------
Chip Sharp                 Consulting Engineering
Cisco Systems              Telco Bio-region
Reality - Love it or Leave it.
--------------------------------------------------